### Class

# CloudProviders Provider

#### Description [src]

    final class CloudProviders.Provider : GObject.Object
    {
      /* No available fields */
    }

Base object for representing a single provider for clients.

This is the basic object object for client implementers that contains the properties of the provider such as name, and the accounts associated with it.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### cloud_providers_provider_new

No description available.

#### Instance methods

###### cloud_providers_provider_get_accounts

Get the list of accounts from this provider.

###### cloud_providers_provider_get_name

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### CloudProviders.Provider:name

The name of the cloud provider.

#### Signals

###### CloudProviders.Provider::accounts-changed

No description available.

###### CloudProviders.Provider::removed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CloudProvidersProviderClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.